using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Infrastructure.Persistence.Migrations
{
    /// <inheritdoc />
    public partial class a2 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AlterColumn<string>(
                name: "Meta_Viewport",
                table: "Config",
                type: "nvarchar(255)",
                maxLength: 255,
                nullable: true,
                comment: "Meta Viewport",
                oldClrType: typeof(string),
                oldType: "nvarchar(max)",
                oldNullable: true,
                oldComment: "Meta Viewport");

            migrationBuilder.AlterColumn<string>(
                name: "Meta_Robots",
                table: "Config",
                type: "nvarchar(255)",
                maxLength: 255,
                nullable: true,
                comment: "Meta Robots",
                oldClrType: typeof(string),
                oldType: "nvarchar(max)",
                oldNullable: true,
                oldComment: "Meta Robots");

            migrationBuilder.AlterColumn<string>(
                name: "Meta_Keywords",
                table: "Config",
                type: "nvarchar(255)",
                maxLength: 255,
                nullable: true,
                comment: "Meta Keywords",
                oldClrType: typeof(string),
                oldType: "nvarchar(max)",
                oldNullable: true,
                oldComment: "Meta Keywords");

            migrationBuilder.AlterColumn<string>(
                name: "Meta_Generator",
                table: "Config",
                type: "nvarchar(255)",
                maxLength: 255,
                nullable: true,
                comment: "Meta Generator",
                oldClrType: typeof(string),
                oldType: "nvarchar(max)",
                oldNullable: true,
                oldComment: "Meta Generator");

            migrationBuilder.AlterColumn<string>(
                name: "Meta_Description",
                table: "Config",
                type: "nvarchar(255)",
                maxLength: 255,
                nullable: true,
                comment: "Meta Description",
                oldClrType: typeof(string),
                oldType: "nvarchar(max)",
                oldNullable: true,
                oldComment: "Meta Description");

            migrationBuilder.AlterColumn<string>(
                name: "Meta_Author",
                table: "Config",
                type: "nvarchar(255)",
                maxLength: 255,
                nullable: true,
                comment: "Meta Author",
                oldClrType: typeof(string),
                oldType: "nvarchar(max)",
                oldNullable: true,
                oldComment: "Meta Author");

            migrationBuilder.AlterColumn<string>(
                name: "Meta_ApplicationName",
                table: "Config",
                type: "nvarchar(255)",
                maxLength: 255,
                nullable: true,
                comment: "Meta Application Name",
                oldClrType: typeof(string),
                oldType: "nvarchar(max)",
                oldNullable: true,
                oldComment: "Meta Application Name");

            migrationBuilder.AlterColumn<string>(
                name: "Company_ZipCode",
                table: "Config",
                type: "nvarchar(8)",
                maxLength: 8,
                nullable: true,
                comment: "사업장 주소(우편번호)",
                oldClrType: typeof(string),
                oldType: "nvarchar(20)",
                oldMaxLength: 20,
                oldNullable: true,
                oldComment: "사업장 주소(우편번호)");

            migrationBuilder.AlterColumn<string>(
                name: "Company_Tel",
                table: "Config",
                type: "nvarchar(20)",
                maxLength: 20,
                nullable: true,
                comment: "대표 전화번호",
                oldClrType: typeof(string),
                oldType: "nvarchar(max)",
                oldNullable: true);

            migrationBuilder.AlterColumn<string>(
                name: "Company_SiteUrl",
                table: "Config",
                type: "nvarchar(200)",
                maxLength: 200,
                nullable: true,
                comment: "사이트 주소",
                oldClrType: typeof(string),
                oldType: "nvarchar(300)",
                oldMaxLength: 300,
                oldNullable: true,
                oldComment: "사이트 주소");

            migrationBuilder.AlterColumn<string>(
                name: "Company_RetailSaleNo",
                table: "Config",
                type: "nvarchar(20)",
                maxLength: 20,
                nullable: true,
                comment: "통신판매업 신고번호",
                oldClrType: typeof(string),
                oldType: "nvarchar(max)",
                oldNullable: true);

            migrationBuilder.AlterColumn<string>(
                name: "Company_RegNo",
                table: "Config",
                type: "nvarchar(100)",
                maxLength: 100,
                nullable: true,
                comment: "사업자 등록 번호",
                oldClrType: typeof(string),
                oldType: "nvarchar(max)",
                oldNullable: true);

            migrationBuilder.AlterColumn<string>(
                name: "Company_Owner",
                table: "Config",
                type: "nvarchar(50)",
                maxLength: 50,
                nullable: true,
                comment: "대표자 명",
                oldClrType: typeof(string),
                oldType: "nvarchar(max)",
                oldNullable: true);

            migrationBuilder.AlterColumn<string>(
                name: "Company_Name",
                table: "Config",
                type: "nvarchar(70)",
                maxLength: 70,
                nullable: true,
                comment: "상호 명",
                oldClrType: typeof(string),
                oldType: "nvarchar(max)",
                oldNullable: true);

            migrationBuilder.AlterColumn<string>(
                name: "Company_Hosting",
                table: "Config",
                type: "nvarchar(100)",
                maxLength: 100,
                nullable: true,
                comment: "호스팅 서비스",
                oldClrType: typeof(string),
                oldType: "nvarchar(200)",
                oldMaxLength: 200,
                oldNullable: true,
                oldComment: "호스팅 서비스");

            migrationBuilder.AlterColumn<string>(
                name: "Company_Fax",
                table: "Config",
                type: "nvarchar(20)",
                maxLength: 20,
                nullable: true,
                comment: "FAX",
                oldClrType: typeof(string),
                oldType: "nvarchar(max)",
                oldNullable: true);

            migrationBuilder.AlterColumn<string>(
                name: "Company_BankOwner",
                table: "Config",
                type: "nvarchar(70)",
                maxLength: 70,
                nullable: true,
                comment: "입금계좌 - 예금주",
                oldClrType: typeof(string),
                oldType: "nvarchar(100)",
                oldMaxLength: 100,
                oldNullable: true,
                oldComment: "예금주");

            migrationBuilder.AlterColumn<string>(
                name: "Company_BankNumber",
                table: "Config",
                type: "nvarchar(100)",
                maxLength: 100,
                nullable: true,
                comment: "입금계좌 - 계좌번호",
                oldClrType: typeof(string),
                oldType: "nvarchar(50)",
                oldMaxLength: 50,
                oldNullable: true,
                oldComment: "계좌번호");

            migrationBuilder.AlterColumn<string>(
                name: "Company_BankCode",
                table: "Config",
                type: "nvarchar(10)",
                maxLength: 10,
                nullable: true,
                comment: "입금계좌 - 은행",
                oldClrType: typeof(string),
                oldType: "nvarchar(20)",
                oldMaxLength: 20,
                oldNullable: true,
                oldComment: "입금 계좌(은행 코드)");

            migrationBuilder.AlterColumn<string>(
                name: "Company_AdminName",
                table: "Config",
                type: "nvarchar(70)",
                maxLength: 70,
                nullable: true,
                comment: "정보관리책임자",
                oldClrType: typeof(string),
                oldType: "nvarchar(100)",
                oldMaxLength: 100,
                oldNullable: true,
                oldComment: "정보관리책임자");

            migrationBuilder.AlterColumn<string>(
                name: "Company_AdminEmail",
                table: "Config",
                type: "nvarchar(100)",
                maxLength: 100,
                nullable: true,
                comment: "정보관리책임자 이메일",
                oldClrType: typeof(string),
                oldType: "nvarchar(200)",
                oldMaxLength: 200,
                oldNullable: true,
                oldComment: "정보관리책임자 E-mail");

            migrationBuilder.AlterColumn<string>(
                name: "Company_AddedSaleNo",
                table: "Config",
                type: "nvarchar(20)",
                maxLength: 20,
                nullable: true,
                comment: "부가통신 사업자번호",
                oldClrType: typeof(string),
                oldType: "nvarchar(max)",
                oldNullable: true);

            migrationBuilder.AlterColumn<string>(
                name: "Basic_SmtpUsername",
                table: "Config",
                type: "nvarchar(100)",
                maxLength: 100,
                nullable: true,
                comment: "SMTP Username",
                oldClrType: typeof(string),
                oldType: "nvarchar(200)",
                oldMaxLength: 200,
                oldNullable: true,
                oldComment: "SMTP Username");

            migrationBuilder.AlterColumn<string>(
                name: "Basic_SmtpPassword",
                table: "Config",
                type: "nvarchar(200)",
                maxLength: 200,
                nullable: true,
                comment: "SMTP Password",
                oldClrType: typeof(string),
                oldType: "nvarchar(max)",
                oldNullable: true,
                oldComment: "SMTP Password (암호화 저장 권장)");

            migrationBuilder.AlterColumn<bool>(
                name: "Basic_SmtpEnableSSL",
                table: "Config",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "SMTP Enable SSL",
                oldClrType: typeof(bool),
                oldType: "bit",
                oldNullable: true,
                oldComment: "SMTP Enable SSL");

            migrationBuilder.AlterColumn<string>(
                name: "Basic_FrontWhiteIPList",
                table: "Config",
                type: "nvarchar(1000)",
                maxLength: 1000,
                nullable: true,
                comment: "사용자단 접근 가능 IP",
                oldClrType: typeof(string),
                oldType: "nvarchar(max)",
                oldNullable: true,
                oldComment: "사용자단 접근 가능 IP");

            migrationBuilder.AlterColumn<string>(
                name: "Basic_FromName",
                table: "Config",
                type: "nvarchar(30)",
                maxLength: 30,
                nullable: true,
                comment: "송수신자 이름",
                oldClrType: typeof(string),
                oldType: "nvarchar(100)",
                oldMaxLength: 100,
                oldNullable: true,
                oldComment: "송수신자 이름");

            migrationBuilder.AlterColumn<string>(
                name: "Basic_FromEmail",
                table: "Config",
                type: "nvarchar(100)",
                maxLength: 100,
                nullable: true,
                comment: "송수신 이메일",
                oldClrType: typeof(string),
                oldType: "nvarchar(200)",
                oldMaxLength: 200,
                oldNullable: true,
                oldComment: "송수신 이메일");

            migrationBuilder.AlterColumn<string>(
                name: "Basic_AdminWhiteIPList",
                table: "Config",
                type: "nvarchar(1000)",
                maxLength: 1000,
                nullable: true,
                comment: "관리자단 접근 가능 IP",
                oldClrType: typeof(string),
                oldType: "nvarchar(max)",
                oldNullable: true,
                oldComment: "관리자단 접근 가능 IP");

            migrationBuilder.AddColumn<string>(
                name: "Company_Address",
                table: "Config",
                type: "nvarchar(255)",
                maxLength: 255,
                nullable: true,
                comment: "사업장 소재지");

            migrationBuilder.AddColumn<string>(
                name: "Images_AppIcon_192",
                table: "Config",
                type: "nvarchar(255)",
                maxLength: 255,
                nullable: true,
                comment: "App-icon-192");

            migrationBuilder.AddColumn<string>(
                name: "Images_AppIcon_512",
                table: "Config",
                type: "nvarchar(255)",
                maxLength: 255,
                nullable: true,
                comment: "App-icon-512");

            migrationBuilder.AddColumn<string>(
                name: "Images_AppleTouchIcon",
                table: "Config",
                type: "nvarchar(255)",
                maxLength: 255,
                nullable: true,
                comment: "Apple-touch-icon");

            migrationBuilder.AddColumn<string>(
                name: "Images_Favicon",
                table: "Config",
                type: "nvarchar(255)",
                maxLength: 255,
                nullable: true,
                comment: "Favicon");

            migrationBuilder.AddColumn<string>(
                name: "Images_LogoHorizontal",
                table: "Config",
                type: "nvarchar(255)",
                maxLength: 255,
                nullable: true,
                comment: "Logo-horizontal");

            migrationBuilder.AddColumn<string>(
                name: "Images_LogoSquare",
                table: "Config",
                type: "nvarchar(255)",
                maxLength: 255,
                nullable: true,
                comment: "Logo-square");

            migrationBuilder.AddColumn<string>(
                name: "Images_OgDefault",
                table: "Config",
                type: "nvarchar(255)",
                maxLength: 255,
                nullable: true,
                comment: "og-default");

            migrationBuilder.AddColumn<string>(
                name: "Images_TwitterImage",
                table: "Config",
                type: "nvarchar(255)",
                maxLength: 255,
                nullable: true,
                comment: "Twitter-image");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "Company_Address",
                table: "Config");

            migrationBuilder.DropColumn(
                name: "Images_AppIcon_192",
                table: "Config");

            migrationBuilder.DropColumn(
                name: "Images_AppIcon_512",
                table: "Config");

            migrationBuilder.DropColumn(
                name: "Images_AppleTouchIcon",
                table: "Config");

            migrationBuilder.DropColumn(
                name: "Images_Favicon",
                table: "Config");

            migrationBuilder.DropColumn(
                name: "Images_LogoHorizontal",
                table: "Config");

            migrationBuilder.DropColumn(
                name: "Images_LogoSquare",
                table: "Config");

            migrationBuilder.DropColumn(
                name: "Images_OgDefault",
                table: "Config");

            migrationBuilder.DropColumn(
                name: "Images_TwitterImage",
                table: "Config");

            migrationBuilder.AlterColumn<string>(
                name: "Meta_Viewport",
                table: "Config",
                type: "nvarchar(max)",
                nullable: true,
                comment: "Meta Viewport",
                oldClrType: typeof(string),
                oldType: "nvarchar(255)",
                oldMaxLength: 255,
                oldNullable: true,
                oldComment: "Meta Viewport");

            migrationBuilder.AlterColumn<string>(
                name: "Meta_Robots",
                table: "Config",
                type: "nvarchar(max)",
                nullable: true,
                comment: "Meta Robots",
                oldClrType: typeof(string),
                oldType: "nvarchar(255)",
                oldMaxLength: 255,
                oldNullable: true,
                oldComment: "Meta Robots");

            migrationBuilder.AlterColumn<string>(
                name: "Meta_Keywords",
                table: "Config",
                type: "nvarchar(max)",
                nullable: true,
                comment: "Meta Keywords",
                oldClrType: typeof(string),
                oldType: "nvarchar(255)",
                oldMaxLength: 255,
                oldNullable: true,
                oldComment: "Meta Keywords");

            migrationBuilder.AlterColumn<string>(
                name: "Meta_Generator",
                table: "Config",
                type: "nvarchar(max)",
                nullable: true,
                comment: "Meta Generator",
                oldClrType: typeof(string),
                oldType: "nvarchar(255)",
                oldMaxLength: 255,
                oldNullable: true,
                oldComment: "Meta Generator");

            migrationBuilder.AlterColumn<string>(
                name: "Meta_Description",
                table: "Config",
                type: "nvarchar(max)",
                nullable: true,
                comment: "Meta Description",
                oldClrType: typeof(string),
                oldType: "nvarchar(255)",
                oldMaxLength: 255,
                oldNullable: true,
                oldComment: "Meta Description");

            migrationBuilder.AlterColumn<string>(
                name: "Meta_Author",
                table: "Config",
                type: "nvarchar(max)",
                nullable: true,
                comment: "Meta Author",
                oldClrType: typeof(string),
                oldType: "nvarchar(255)",
                oldMaxLength: 255,
                oldNullable: true,
                oldComment: "Meta Author");

            migrationBuilder.AlterColumn<string>(
                name: "Meta_ApplicationName",
                table: "Config",
                type: "nvarchar(max)",
                nullable: true,
                comment: "Meta Application Name",
                oldClrType: typeof(string),
                oldType: "nvarchar(255)",
                oldMaxLength: 255,
                oldNullable: true,
                oldComment: "Meta Application Name");

            migrationBuilder.AlterColumn<string>(
                name: "Company_ZipCode",
                table: "Config",
                type: "nvarchar(20)",
                maxLength: 20,
                nullable: true,
                comment: "사업장 주소(우편번호)",
                oldClrType: typeof(string),
                oldType: "nvarchar(8)",
                oldMaxLength: 8,
                oldNullable: true,
                oldComment: "사업장 주소(우편번호)");

            migrationBuilder.AlterColumn<string>(
                name: "Company_Tel",
                table: "Config",
                type: "nvarchar(max)",
                nullable: true,
                oldClrType: typeof(string),
                oldType: "nvarchar(20)",
                oldMaxLength: 20,
                oldNullable: true,
                oldComment: "대표 전화번호");

            migrationBuilder.AlterColumn<string>(
                name: "Company_SiteUrl",
                table: "Config",
                type: "nvarchar(300)",
                maxLength: 300,
                nullable: true,
                comment: "사이트 주소",
                oldClrType: typeof(string),
                oldType: "nvarchar(200)",
                oldMaxLength: 200,
                oldNullable: true,
                oldComment: "사이트 주소");

            migrationBuilder.AlterColumn<string>(
                name: "Company_RetailSaleNo",
                table: "Config",
                type: "nvarchar(max)",
                nullable: true,
                oldClrType: typeof(string),
                oldType: "nvarchar(20)",
                oldMaxLength: 20,
                oldNullable: true,
                oldComment: "통신판매업 신고번호");

            migrationBuilder.AlterColumn<string>(
                name: "Company_RegNo",
                table: "Config",
                type: "nvarchar(max)",
                nullable: true,
                oldClrType: typeof(string),
                oldType: "nvarchar(100)",
                oldMaxLength: 100,
                oldNullable: true,
                oldComment: "사업자 등록 번호");

            migrationBuilder.AlterColumn<string>(
                name: "Company_Owner",
                table: "Config",
                type: "nvarchar(max)",
                nullable: true,
                oldClrType: typeof(string),
                oldType: "nvarchar(50)",
                oldMaxLength: 50,
                oldNullable: true,
                oldComment: "대표자 명");

            migrationBuilder.AlterColumn<string>(
                name: "Company_Name",
                table: "Config",
                type: "nvarchar(max)",
                nullable: true,
                oldClrType: typeof(string),
                oldType: "nvarchar(70)",
                oldMaxLength: 70,
                oldNullable: true,
                oldComment: "상호 명");

            migrationBuilder.AlterColumn<string>(
                name: "Company_Hosting",
                table: "Config",
                type: "nvarchar(200)",
                maxLength: 200,
                nullable: true,
                comment: "호스팅 서비스",
                oldClrType: typeof(string),
                oldType: "nvarchar(100)",
                oldMaxLength: 100,
                oldNullable: true,
                oldComment: "호스팅 서비스");

            migrationBuilder.AlterColumn<string>(
                name: "Company_Fax",
                table: "Config",
                type: "nvarchar(max)",
                nullable: true,
                oldClrType: typeof(string),
                oldType: "nvarchar(20)",
                oldMaxLength: 20,
                oldNullable: true,
                oldComment: "FAX");

            migrationBuilder.AlterColumn<string>(
                name: "Company_BankOwner",
                table: "Config",
                type: "nvarchar(100)",
                maxLength: 100,
                nullable: true,
                comment: "예금주",
                oldClrType: typeof(string),
                oldType: "nvarchar(70)",
                oldMaxLength: 70,
                oldNullable: true,
                oldComment: "입금계좌 - 예금주");

            migrationBuilder.AlterColumn<string>(
                name: "Company_BankNumber",
                table: "Config",
                type: "nvarchar(50)",
                maxLength: 50,
                nullable: true,
                comment: "계좌번호",
                oldClrType: typeof(string),
                oldType: "nvarchar(100)",
                oldMaxLength: 100,
                oldNullable: true,
                oldComment: "입금계좌 - 계좌번호");

            migrationBuilder.AlterColumn<string>(
                name: "Company_BankCode",
                table: "Config",
                type: "nvarchar(20)",
                maxLength: 20,
                nullable: true,
                comment: "입금 계좌(은행 코드)",
                oldClrType: typeof(string),
                oldType: "nvarchar(10)",
                oldMaxLength: 10,
                oldNullable: true,
                oldComment: "입금계좌 - 은행");

            migrationBuilder.AlterColumn<string>(
                name: "Company_AdminName",
                table: "Config",
                type: "nvarchar(100)",
                maxLength: 100,
                nullable: true,
                comment: "정보관리책임자",
                oldClrType: typeof(string),
                oldType: "nvarchar(70)",
                oldMaxLength: 70,
                oldNullable: true,
                oldComment: "정보관리책임자");

            migrationBuilder.AlterColumn<string>(
                name: "Company_AdminEmail",
                table: "Config",
                type: "nvarchar(200)",
                maxLength: 200,
                nullable: true,
                comment: "정보관리책임자 E-mail",
                oldClrType: typeof(string),
                oldType: "nvarchar(100)",
                oldMaxLength: 100,
                oldNullable: true,
                oldComment: "정보관리책임자 이메일");

            migrationBuilder.AlterColumn<string>(
                name: "Company_AddedSaleNo",
                table: "Config",
                type: "nvarchar(max)",
                nullable: true,
                oldClrType: typeof(string),
                oldType: "nvarchar(20)",
                oldMaxLength: 20,
                oldNullable: true,
                oldComment: "부가통신 사업자번호");

            migrationBuilder.AlterColumn<string>(
                name: "Basic_SmtpUsername",
                table: "Config",
                type: "nvarchar(200)",
                maxLength: 200,
                nullable: true,
                comment: "SMTP Username",
                oldClrType: typeof(string),
                oldType: "nvarchar(100)",
                oldMaxLength: 100,
                oldNullable: true,
                oldComment: "SMTP Username");

            migrationBuilder.AlterColumn<string>(
                name: "Basic_SmtpPassword",
                table: "Config",
                type: "nvarchar(max)",
                nullable: true,
                comment: "SMTP Password (암호화 저장 권장)",
                oldClrType: typeof(string),
                oldType: "nvarchar(200)",
                oldMaxLength: 200,
                oldNullable: true,
                oldComment: "SMTP Password");

            migrationBuilder.AlterColumn<bool>(
                name: "Basic_SmtpEnableSSL",
                table: "Config",
                type: "bit",
                nullable: true,
                comment: "SMTP Enable SSL",
                oldClrType: typeof(bool),
                oldType: "bit",
                oldComment: "SMTP Enable SSL");

            migrationBuilder.AlterColumn<string>(
                name: "Basic_FrontWhiteIPList",
                table: "Config",
                type: "nvarchar(max)",
                nullable: true,
                comment: "사용자단 접근 가능 IP",
                oldClrType: typeof(string),
                oldType: "nvarchar(1000)",
                oldMaxLength: 1000,
                oldNullable: true,
                oldComment: "사용자단 접근 가능 IP");

            migrationBuilder.AlterColumn<string>(
                name: "Basic_FromName",
                table: "Config",
                type: "nvarchar(100)",
                maxLength: 100,
                nullable: true,
                comment: "송수신자 이름",
                oldClrType: typeof(string),
                oldType: "nvarchar(30)",
                oldMaxLength: 30,
                oldNullable: true,
                oldComment: "송수신자 이름");

            migrationBuilder.AlterColumn<string>(
                name: "Basic_FromEmail",
                table: "Config",
                type: "nvarchar(200)",
                maxLength: 200,
                nullable: true,
                comment: "송수신 이메일",
                oldClrType: typeof(string),
                oldType: "nvarchar(100)",
                oldMaxLength: 100,
                oldNullable: true,
                oldComment: "송수신 이메일");

            migrationBuilder.AlterColumn<string>(
                name: "Basic_AdminWhiteIPList",
                table: "Config",
                type: "nvarchar(max)",
                nullable: true,
                comment: "관리자단 접근 가능 IP",
                oldClrType: typeof(string),
                oldType: "nvarchar(1000)",
                oldMaxLength: 1000,
                oldNullable: true,
                oldComment: "관리자단 접근 가능 IP");
        }
    }
}
